freeslot("SPR_ANTO", "MT_ANTON", "S_ANTON_WALK", "S_ANTON_WALK2", "S_ANTON_ALERT", "S_ANTON_CHASE", "S_ANTON_CHASE2")

--Chaos mode definition
local info = mobjinfo[MT_ANTON]
info.chaosmode = true
info.spawntype = 'enemy'
info.spawnsubtype = {'land'}
info.name = "Anton"
info.difficulty = 0
info.spawnbiome = 'grass'
info.spawnpriority = 0
info.spawnweight = 1
info.spawnfrequency = 3

mobjinfo[MT_ANTON] = {
	doomednum = 1993,
	spawnstate = S_ANTON_WALK,
	spawnhealth = 1,
	seestate = S_ANTON_ALERT,
	seesound = sfx_deton,
	reactiontime = 80,
	deathstate = S_XPLD_FLICKY,
	deathsound = sfx_pop,
	speed = 10,
	radius = 32*FRACUNIT,
	height = 48*FRACUNIT,
	flags = MF_SPECIAL|MF_ENEMY|MF_SHOOTABLE
}
--Basic states
states[S_ANTON_WALK] = {SPR_ANTO, A, 1, A_JetJawRoam, 0, 0, S_ANTON_WALK2}
states[S_ANTON_WALK2] = {SPR_ANTO, B, 0, A_SmokeTrailer, 0, 0, S_ANTON_WALK}
states[S_ANTON_ALERT] = {SPR_ANTO, C, 0, A_PlaySeeSound, 0, 0, S_ANTON_CHASE}
states[S_ANTON_CHASE] = {SPR_ANTO, C, 1, A_Chase, 0, 0, S_ANTON_CHASE2}
states[S_ANTON_CHASE2] = {SPR_ANTO, D, 0, A_SmokeTrailer, 506, 0, S_ANTON_CHASE}
