//Egg Gunner
freeslot("MT_EGUN", "SPR_EGUN", "SPR_EFIR", "SPR_EFI2", "SPR_06DT", "S_EGUN_IDLE", "S_EGUN_LOCK", "S_EGUN_LOCK2", "S_EGUN_FIRE", "S_EGUN_FIRE2", "S_EGUN_FIRE3", "S_EGUN_ALTFIRE", "S_EGUN_ALTFIRE2", "S_EGUN_WAIT", "S_06_XPLD","sfx_06boom")

mobjinfo[MT_EGUN] = {
		doomednum = 1334,
		spawnstate = S_EGUN_IDLE,
		spawnhealth = 1,
		seestate = S_EGUN_LOCK,
		seesound = sfx_None,
		reactiontime = 100,
		attacksound = sfx_thok,
		painstate = S_NULL,
		painchance = 500,
		painsound = sfx_None,
		meleestate = S_EGUN_FIRE,
		missilestate = S_EGUN_ALTFIRE,
		deathstate = S_06_XPLD,
		xdeathstate = S_NULL,
		deathsound = sfx_06boom,
		speed = 5,
		radius = 16*FRACUNIT,
		height = 100*FRACUNIT,
		dispoffset = 0,
		mass = 1000,
		damage = MT_THOK,
		activesound = sfx_None,
		flags = MF_ENEMY|MF_SPECIAL|MF_SHOOTABLE,
		raisestate = MT_ROCKET
}
local info = mobjinfo[MT_EGUN]
info.name = "Egg Gunner"
info.chaosmode = true
info.spawntype = 'enemy'
info.spawnsubtype = {'sniper'}
info.spawnbiome = 'metal' 
info.spawnfrequency = 5
info.spawnweight = 3 
info.difficulty = 1

states[S_EGUN_IDLE] = {
		sprite = SPR_EGUN,
		frame = A,
		tics = 5,
		action = A_Look,
		var1 = 1+1000<<16,
		var2 = 0,
		nextstate = S_EGUN_IDLE
}
states[S_EGUN_WAIT] = {
		sprite = SPR_EGUN,
		frame = A,
		tics = 2*35,
		nextstate = S_EGUN_IDLE
}
states[S_EGUN_LOCK] = { 
		sprite = SPR_EGUN,
		frame = A,
		tics = 1*35,
		action = A_FaceTarget,
		var1 = 0,
		var2 = 0,
		nextstate = S_EGUN_LOCK2
}
states[S_EGUN_LOCK2] = { 
		sprite = SPR_EGUN,
		frame = A,
		tics = 0,
		action = A_RandomState,
		var1 = 5,
		var2 = 6,
}
states[S_EGUN_FIRE] = {
		sprite = SPR_EFIR,
		frame = A,
		tics = 28,
		action = A_FireShot,
		var1 = 213,
		var2 = 38,
		nextstate = S_EGUN_FIRE2
}
states[S_EGUN_FIRE2] = {
		sprite = SPR_EFIR,
		frame = A,
		tics = 28,
		action = A_FireShot,
		var1 = 213,
		var2 = 38,
		nextstate = S_EGUN_FIRE3
}
states[S_EGUN_FIRE3] = {
		sprite = SPR_EFIR,
		frame = A,
		tics = 28,
		action = A_FireShot,
		var1 = 213,
		var2 = 38,
		nextstate = S_EGUN_WAIT
}
states[S_EGUN_ALTFIRE] = {
		sprite = SPR_EFI2,
		frame = A,
		tics = 1*35,
		action = A_TurretFire,
		var1 = 218,
		var2 = 2048,
		nextstate = S_EGUN_ALTFIRE2
}
states[S_EGUN_ALTFIRE2] = {
		sprite = SPR_EFI2,
		frame = A,
		tics = 1,
		action = A_TurretStop,
		var1 = 0,
		var2 = 0,
		nextstate = S_EGUN_WAIT
}
states[S_06_XPLD] = {
		sprite = SPR_06DT,
		frame = FF_ANIMATE|A,
		action = A_Scream,
		tics = 28,
		var1 = 13,
		var2 = 2,
		nextstate = S_NULL
}